package si.mojeznanje.service;

import com.fasterxml.jackson.core.type.TypeReference;
import com.fasterxml.jackson.databind.ObjectMapper;
import si.mojeznanje.model.Ograda;
import si.mojeznanje.model.Zival;

import java.util.ArrayList;
import java.util.List;

/**
 * Created by Homez on 11/01/2018.
 */
public class ZapisovalecOgrade extends Zapisovalec{

    private static final String datoteka = "ograda.json";

    public void shraniOgrado(Ograda ograda){
        String podatki = "";
        ObjectMapper mapper = new ObjectMapper();

        try {
            podatki = mapper.writeValueAsString(ograda);
        }
        catch (Exception e){
            System.out.println("Napaka pri zapisovanju json");
        }

        shraniDatoteko(podatki, datoteka);
    }

    public Ograda preberiOgrado(){
        Ograda ograda = new Ograda();

        String podatki = preberiDatoteko(datoteka);

        ObjectMapper mapper = new ObjectMapper();

        try {
            ograda = mapper.readValue(podatki, Ograda.class);
        }
        catch (Exception e){
            System.out.println("Napaka pri prebiranju podatkov iz json");
        }


        return ograda;
    }
}
